Loading...
Searching...
No Matches
XrdThrottleFileSystemConfig.cc File Reference
`#include <fcntl.h>`
`#include "XrdSys/XrdSysPlugin.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdOuc/XrdOuca2x.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdThrottle/XrdThrottle.hh"`
`#include "XrdThrottle/XrdThrottleConfig.hh"`
`#include "XrdThrottle/XrdThrottleTrace.hh"`
Include dependency graph for XrdThrottleFileSystemConfig.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdThrottle

## Macros

#define | OFS_NAME "libXrdOfs.so"
#define | TS_Xeq(key, func)

## Functions

static XrdSfsFileSystem * | LoadFS (const std::string &fslib, XrdSysError &eDest, const std::string &config_file)
XrdSfsFileSystem * | XrdSfsGetFileSystem (XrdSfsFileSystem *native_fs, XrdSysLogger *lp, const char *configfn)
XrdSfsFileSystem * | XrdSfsGetFileSystem2 (XrdSfsFileSystem *native_fs, XrdSysLogger *lp, const char *configfn, XrdOucEnv *envP)
XrdSfsFileSystem * | XrdThrottle::XrdSfsGetFileSystem_Internal (XrdSfsFileSystem *native_fs, XrdSysLogger *lp, const char *configfn, XrdOucEnv *envP)
| XrdVERSIONINFO (XrdSfsGetFileSystem, FileSystem)
| XrdVERSIONINFO (XrdSfsGetFileSystem2, FileSystem)

## Macro Definition Documentation

## OFS_NAME

#define OFS_NAME "libXrdOfs.so"

Definition at line 16 of file XrdThrottleFileSystemConfig.cc.

Referenced by LoadFS().

## TS_Xeq

#define TS_Xeq | ( |  | key,
|  |  | func )

Value:
NoGo = (strcmp(key, var) == 0) ? func(Config) : 0

Definition at line 138 of file XrdThrottleFileSystemConfig.cc.

## Function Documentation

## LoadFS()

XrdSfsFileSystem * LoadFS | ( | const std::string & | fslib,
|  | XrdSysError & | eDest,
|  | const std::string & | config_file )

static

Definition at line 23 of file XrdThrottleFileSystemConfig.cc.

{
// Load the library
XrdSysPlugin ofsLib(&eDest, fslib.c_str(), "fslib", NULL);
XrdSfsFileSystem *fs;
if (fslib == OFS_NAME)
{
extern XrdSfsFileSystem *XrdSfsGetDefaultFileSystem(XrdSfsFileSystem *native_fs,
XrdSysLogger *lp,
const char *configfn,
XrdOucEnv *EnvInfo);
if (!(fs = XrdSfsGetDefaultFileSystem(0, eDest.logger(), config_file.c_str(), 0)))
{
eDest.Emsg("Config", "Unable to load OFS filesystem.");
}
}
else
{
XrdSfsFileSystem *(*ep)(XrdSfsFileSystem *, XrdSysLogger *, const char *);
if (!(ep = (XrdSfsFileSystem *(*)(XrdSfsFileSystem *,XrdSysLogger *,const char *))
ofsLib.getPlugin("XrdSfsGetFileSystem")))
return NULL;
if (!(fs = (*ep)(0, eDest.logger(), config_file.c_str())))
{
eDest.Emsg("Config", "Unable to create file system object via", fslib.c_str());
return NULL;
}
}
ofsLib.Persist();
return fs;
}
eDest
static XrdSysError eDest(0,"crypto_")
XrdSfsGetDefaultFileSystem
XrdSfsFileSystem * XrdSfsGetDefaultFileSystem(XrdSfsFileSystem *native_fs, XrdSysLogger *lp, const char *configfn, XrdOucEnv *EnvInfo)
Definition XrdOfsFS.cc:49
OFS_NAME
#define OFS_NAME
Definition XrdThrottleFileSystemConfig.cc:16
XrdOucEnv
Definition XrdOucEnv.hh:42
XrdSfsFileSystem
Definition XrdSfsInterface.hh:846
XrdSysLogger
Definition XrdSysLogger.hh:53
XrdSysPlugin
Definition XrdSysPlugin.hh:53

References eDest, XrdSysPlugin::getPlugin(), OFS_NAME, XrdSysPlugin::Persist(), and XrdSfsGetDefaultFileSystem().

Here is the call graph for this function:

## XrdSfsGetFileSystem()

XrdSfsFileSystem * XrdSfsGetFileSystem | ( | XrdSfsFileSystem * | native_fs,
|  | XrdSysLogger * | lp,
|  | const char * | configfn )

Definition at line 79 of file XrdThrottleFileSystemConfig.cc.

{
return XrdSfsGetFileSystem_Internal(native_fs, lp, configfn, nullptr);
}
XrdThrottle::XrdSfsGetFileSystem_Internal
XrdSfsFileSystem * XrdSfsGetFileSystem_Internal(XrdSfsFileSystem *native_fs, XrdSysLogger *lp, const char *configfn, XrdOucEnv *envP)
Definition XrdThrottleFileSystemConfig.cc:58

References XrdThrottle::XrdSfsGetFileSystem_Internal().

Here is the call graph for this function:

## XrdSfsGetFileSystem2()

XrdSfsFileSystem * XrdSfsGetFileSystem2 | ( | XrdSfsFileSystem * | native_fs,
|  | XrdSysLogger * | lp,
|  | const char * | configfn,
|  | XrdOucEnv * | envP )

Definition at line 87 of file XrdThrottleFileSystemConfig.cc.

{
return XrdSfsGetFileSystem_Internal(native_fs, lp, configfn, envP);
}

References XrdThrottle::XrdSfsGetFileSystem_Internal().

Here is the call graph for this function:

## XrdVERSIONINFO() [1/2]

XrdVERSIONINFO | ( | XrdSfsGetFileSystem | ,
|  | FileSystem | )

References XrdSfsGetFileSystem().

Here is the call graph for this function:

## XrdVERSIONINFO() [2/2]

XrdVERSIONINFO | ( | XrdSfsGetFileSystem2 | ,
|  | FileSystem | )

References XrdSfsGetFileSystem(), and XrdSfsGetFileSystem2().

Here is the call graph for this function: